package com.isartdigital.ui.screens;

import com.isartdigital.ui.buttons.BackButton;
import com.isartdigital.ui.buttons.PlayButton;
import com.isartdigital.utils.Config;
import com.isartdigital.utils.events.MouseEventType;
import com.isartdigital.utils.game.GameStage;
import com.isartdigital.utils.sounds.SoundManager;
import com.isartdigital.utils.system.DeviceCapabilities;
import com.isartdigital.utils.ui.Popin;
import com.isartdigital.utils.ui.Screen;
import pixi.core.sprites.Sprite;
import pixi.core.textures.Texture;
import pixi.interaction.EventTarget;

	
/**
 * ...
 * @author Nathan
 */
class Help extends Popin 
{
	
	/**
	 * instance unique de la classe Credit
	 */
	private static var instance: Help;
	
	private var background:Sprite;
	
	/**
	 * Retourne l'instance unique de la classe, et la crée si elle n'existait pas au préalable
	 * @return instance unique
	 */
	public static function getInstance (): Help {
		if (instance == null) instance = new Help();
		return instance;
	}
	
	/**
	 * constructeur privé pour éviter qu'une instance soit créée directement
	 */
	private function new() 
	{
		super();
		background = new Sprite(Texture.fromImage(Config.assetsPath+"Help.png"));
		background.anchor.set(0.5, 0.5);
		addChild(background);
		
		interactive = true;
		buttonMode = true;
		
		once(MouseEventType.CLICK,onClick);
	}
	
	private function onClick (pEvent:EventTarget): Void {
		UIManager.getInstance().closeCurrentPopin();
	}
	
	/**
	 * détruit l'instance unique et met sa référence interne à null
	 */
	override function destroy (): Void {
		instance = null;
	}

}